pixeltype.hh File Reference
`#include <cstdint>`
`#include <mia/core/dictmap.hh>`
`#include <miaconfig.h>`
Include dependency graph for pixeltype.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | EPixelConversion { pc_copy , pc_linear , pc_range , pc_opt , pc_opt_stat , pc_unknown }
enum | EPixelType { it_bit , it_sbyte , it_ubyte , it_sshort , it_ushort , it_sint , it_uint , it_slong , it_ulong , it_float , it_double , it_none , it_unknown }

## Variables

EXPORT_CORE const TDictMap< EPixelConversion >::Table | ConversionTypeTable []
| dictionary table for the pixel conversion types
EXPORT_CORE const TDictMap< EPixelConversion > | CPixelConversionDict
| dictionary for the pixel conversion types
EXPORT_CORE const TDictMap< EPixelType > | CPixelTypeDict
| dictionary for the pixel types
EXPORT_CORE const TDictMap< EPixelType >::Table | PixelTypeTable []
| dictionary table for the pixel types

## Enumeration Type Documentation

## EPixelConversion

enum EPixelConversion

types of pixel conversions

Enumerator
pc_copy | copy pixel values, ranges and values are truncated at conversion
pc_linear | apply the linear function ax+b to the voxel values, then convert the values
pc_range | apply a linear mapping the maps the complete input range of the input type to the complete output range of the output type, output to float and double is mapped to [-1,1]
pc_opt | apply a linear mapping the maps the actual input value range to the complete output value range, output to float and double is mapped to [-1,1]
pc_opt_stat | apply a linear mapping the maps the mean of the the actual input values to the mean of the output range and lets the output variation be 0.25 of the output range
pc_unknown |

Definition at line 51 of file pixeltype.hh.

## EPixelType

enum EPixelType

an enumerate for the different pixel types

Remarks
  replacing the values to become flags might be a better idea then a sequancial numbering

Enumerator
it_bit | bit/bool pixels
it_sbyte | signed byte pixels (8-bit)
it_ubyte | unsigned byte pixels (8-bit)
it_sshort | signed short pixels (16-bit)
it_ushort | unsigned short pixels (16-bit)
it_sint | signed int pixels (32-bit)
it_uint | unsigned int pixels (32-bit)
it_slong | signed long pixels (64 bit)
it_ulong | unsigned long pixels (64 bit)
it_float | float pixels (32 bit)
it_double | double pixels (63 bit)
it_none | type not set
it_unknown | unexpected type

Definition at line 33 of file pixeltype.hh.

## Variable Documentation

## ConversionTypeTable

EXPORT_CORE const TDictMap<EPixelConversion>::Table ConversionTypeTable[]

extern

dictionary table for the pixel conversion types

## CPixelConversionDict

EXPORT_CORE const TDictMap<EPixelConversion> CPixelConversionDict

extern

dictionary for the pixel conversion types

## CPixelTypeDict

EXPORT_CORE const TDictMap<EPixelType> CPixelTypeDict

extern

dictionary for the pixel types

## PixelTypeTable

EXPORT_CORE const TDictMap<EPixelType>::Table PixelTypeTable[]

extern

dictionary table for the pixel types